Dim Inactive plugin disabled by default although stated as enabled

Bug #808909 reported by Vasyl Stashuk on 2011-07-11
60
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
MC Return
compiz (Ubuntu)
Undecided
MC Return

Bug Description

I have enabled plugin "Dim Inactive" and checked "Enabled ADD helper on startup".
But when compiz started, inactive windows doesn't became dimmed.

Problem goes when I disable and then enable plugin.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz-core 1:0.9.4+bzr20110606-0ubuntu1~natty2
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Uname: Linux 2.6.38-10-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.41.06 Mon Apr 18 14:53:56 PDT 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4)
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
Date: Mon Jul 11 20:20:07 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.41.06, 2.6.38-10-generic, x86_64: installed
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 nVidia Corporation G96M [Quadro FX 770M] [10de:065c] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:30e7]
InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
InstallationMedia_: Xubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
JockeyStatus:
 xorg:nvidia_173 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, Not in use)
MachineType: Hewlett-Packard HP EliteBook 8530w
PccardctlIdent:
 Socket 0:
   product info: "RICOH", "Bay8Controller", "", ""
   manfid: 0x0000, 0x0000
   function: 254 (unknown)
PccardctlStatus:
 Socket 0:
   3.3V 16-bit PC Card
   Subdevice 0 (function 0) bound to driver "pata_pcmcia"
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-10-generic root=UUID=79ad94d1-cce7-4b18-b4bf-8318d2d91141 ro rootflags=subvol=@ quiet splash elevator=noop vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-10.46-generic 2.6.38.7
Renderer: Unknown
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/08/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68PDV Ver. F.11
dmi.board.name: 30E7
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 90.26
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68PDVVer.F.11:bd12/08/2009:svnHewlett-Packard:pnHPEliteBook8530w:pvrF.11:rvnHewlett-Packard:rn30E7:rvrKBCVersion90.26:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8530w
dmi.product.version: F.11
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7.1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Related branches

Vasyl Stashuk (vasyl-stashuk) wrote :
Changed in compiz (Ubuntu):
status: New → Confirmed
Dirk Mcbratney (djmcbratney) wrote :

I get this behavior with Dim Inactive and Trailfocus (which can be configured to do the same thing) as well. Waking from suspend also causes the plugin to stop functioning. Unchecking and rechecking the plugin in CompizConfig corrects the problem until I restart or suspend.

The problem makes the plugins unusable, and I miss this feature, because it can be difficult to identify the active window otherwise.

Chenf (chenlao-hotmail) wrote :

Miss this feature too.
I'm using dual monitors, and 'ADD helper' did help me get the focus before typing.

Still a problem in Precise

tags: added: precise
Joonas Saarinen (jza) wrote :

I find this plugin useful too. Currently it seems that I have to press Super-P twice (or disable+enable the plugin) after system startup to get the effect enabled.

Still in Quantal

There is a similar bug reported against Trailfocus that might be related:
Bug #819302

As of 12.10, the problem seems to be that windows are initialized with the glPaint handler disabled, and the glPaint handler only gets enabled if the plugin is disabled/enabled.

It looks like the 12.04 version of this plugin used the config serialization interface to enable the glPaint handler after windows were initialized ... so reading through the code, it looks like it should have worked, although it definitely did not work for me in 12.04, so I assume there was some other problem with that code.

The attached patch fixes the issue for me in 12.10.

The attachment "addhelper.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
MC Return (mc-return) on 2013-01-27
Changed in compiz (Ubuntu):
assignee: nobody → MC Return (mc-return)
MC Return (mc-return) on 2013-02-26
Changed in compiz (Ubuntu):
status: Confirmed → In Progress
MC Return (mc-return) wrote :

Paul Donohue, thanks a lot for your patch.
I made a MP and hope that it will land soon. :)

MC Return (mc-return) wrote :

Merged into lp:compiz at revision 3624

Changed in compiz:
status: New → Fix Committed
assignee: nobody → MC Return (mc-return)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.9~daily13.02.28-0ubuntu1

---------------
compiz (1:0.9.9~daily13.02.28-0ubuntu1) raring; urgency=low

  [ Sam Spilsbury ]
  * [nvidia] Moving windows freezes and stutters on nvidia (especially
    if some other window is redrawing). (LP: #1027211)

  [ Brandon Schaefer ]
  * [Regression] Lowering window by middle click doesn't switch focus to
    raised window (LP: #1034616)

  [ Sam Spilsbury ]
  * compiz crashed with SIGSEGV in DecorWindow::moveNotify()
    [decor.cpp:2791] (LP: #1056409)
  * [regression] r3523: Restored windows' contents are offset from (not
    aligned with) their frames (LP: #1089279)
  * Creating windows above just-destroyed windows causes newly created
    windows to receive invalid stack positions (LP: #1088399)

  [ Paul Donohue ]
  * Dim Inactive plugin disabled by default although stated as enabled
    (LP: #808909)

  [ MC Return ]
  * Dim Inactive plugin disabled by default although stated as enabled
    (LP: #808909)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3627
 -- Automatic PS uploader <email address hidden> Thu, 28 Feb 2013 04:02:37 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
To post a comment you must log in.